Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs	(revision 1656)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.Designer.cs	(revision 1657)
@@ -138,4 +138,5 @@
       this.tbUserName.Size = new System.Drawing.Size(189, 20);
       this.tbUserName.TabIndex = 2;
+      this.tbUserName.TextChanged += new System.EventHandler(this.tbUserName_TextChanged);
       this.tbUserName.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.HiveServerConsole_KeyPress);
       // 
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.cs	(revision 1656)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerConsole.cs	(revision 1657)
@@ -42,7 +42,8 @@
     public HiveServerConsole() {
       InitializeComponent();
-      tbIp.Text = WcfSettings.GetActiveIP();
+      tbIp.Text = "10.20.53.1";
       tbPort.Text = WcfSettings.GetDefaultPort().ToString();
-      
+      tbUserName.Text = "a";
+      tbPwd.Text = "a";
     }
 
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1656)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.Designer.cs	(revision 1657)
@@ -31,4 +31,8 @@
       this.addToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.jobToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.viewToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.largeIconsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.smallIconsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+      this.listToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.ilLargeImgClient = new System.Windows.Forms.ImageList(this.components);
       this.ilLargeImgJob = new System.Windows.Forms.ImageList(this.components);
@@ -72,19 +76,14 @@
       this.menuItemAbortJob = new System.Windows.Forms.ToolStripMenuItem();
       this.menuItemGetSnapshot = new System.Windows.Forms.ToolStripMenuItem();
+      this.ilSmallImgJob = new System.Windows.Forms.ImageList(this.components);
+      this.ilSmallImgClient = new System.Windows.Forms.ImageList(this.components);
       this.tpClientControl = new System.Windows.Forms.TabPage();
       this.scClientControl = new System.Windows.Forms.SplitContainer();
+      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
+      this.tvClientControl = new System.Windows.Forms.TreeView();
       this.lvClientControl = new System.Windows.Forms.ListView();
       this.tcManagementConsole = new System.Windows.Forms.TabControl();
       this.checkBox1 = new System.Windows.Forms.CheckBox();
-      this.viewToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.largeIconsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.smallIconsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.listToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.ilSmallImgClient = new System.Windows.Forms.ImageList(this.components);
-      this.ilSmallImgJob = new System.Windows.Forms.ImageList(this.components);
-      this.splitContainer1 = new System.Windows.Forms.SplitContainer();
-      this.tvClientControl = new System.Windows.Forms.TreeView();
-      this.splitContainer2 = new System.Windows.Forms.SplitContainer();
-      this.tvJobControl = new System.Windows.Forms.TreeView();
+      this.refreshToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.menuStrip1.SuspendLayout();
       this.plClientDetails.SuspendLayout();
@@ -104,11 +103,8 @@
       this.scClientControl.Panel2.SuspendLayout();
       this.scClientControl.SuspendLayout();
-      this.tcManagementConsole.SuspendLayout();
       this.splitContainer1.Panel1.SuspendLayout();
       this.splitContainer1.Panel2.SuspendLayout();
       this.splitContainer1.SuspendLayout();
-      this.splitContainer2.Panel1.SuspendLayout();
-      this.splitContainer2.Panel2.SuspendLayout();
-      this.splitContainer2.SuspendLayout();
+      this.tcManagementConsole.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -128,4 +124,5 @@
       // 
       this.informationToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.refreshToolStripMenuItem,
             this.closeToolStripMenuItem});
       this.informationToolStripMenuItem.Name = "informationToolStripMenuItem";
@@ -151,7 +148,40 @@
       // 
       this.jobToolStripMenuItem.Name = "jobToolStripMenuItem";
-      this.jobToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.jobToolStripMenuItem.Size = new System.Drawing.Size(102, 22);
       this.jobToolStripMenuItem.Text = "Job";
       this.jobToolStripMenuItem.Click += new System.EventHandler(this.AddJob_Click);
+      // 
+      // viewToolStripMenuItem
+      // 
+      this.viewToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+            this.largeIconsToolStripMenuItem,
+            this.smallIconsToolStripMenuItem,
+            this.listToolStripMenuItem});
+      this.viewToolStripMenuItem.Name = "viewToolStripMenuItem";
+      this.viewToolStripMenuItem.Size = new System.Drawing.Size(41, 20);
+      this.viewToolStripMenuItem.Text = "View";
+      // 
+      // largeIconsToolStripMenuItem
+      // 
+      this.largeIconsToolStripMenuItem.Checked = true;
+      this.largeIconsToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.largeIconsToolStripMenuItem.Name = "largeIconsToolStripMenuItem";
+      this.largeIconsToolStripMenuItem.Size = new System.Drawing.Size(141, 22);
+      this.largeIconsToolStripMenuItem.Text = "Large Icons";
+      this.largeIconsToolStripMenuItem.Click += new System.EventHandler(this.largeIconsToolStripMenuItem_Click);
+      // 
+      // smallIconsToolStripMenuItem
+      // 
+      this.smallIconsToolStripMenuItem.Name = "smallIconsToolStripMenuItem";
+      this.smallIconsToolStripMenuItem.Size = new System.Drawing.Size(141, 22);
+      this.smallIconsToolStripMenuItem.Text = "Small Icons";
+      this.smallIconsToolStripMenuItem.Click += new System.EventHandler(this.smallIconsToolStripMenuItem_Click);
+      // 
+      // listToolStripMenuItem
+      // 
+      this.listToolStripMenuItem.Name = "listToolStripMenuItem";
+      this.listToolStripMenuItem.Size = new System.Drawing.Size(141, 22);
+      this.listToolStripMenuItem.Text = "List";
+      this.listToolStripMenuItem.Click += new System.EventHandler(this.listToolStripMenuItem_Click);
       // 
       // ilLargeImgClient
@@ -168,5 +198,7 @@
       this.ilLargeImgJob.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilLargeImgJob.ImageStream")));
       this.ilLargeImgJob.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilLargeImgJob.Images.SetKeyName(0, "PlayHS.png");
+      this.ilLargeImgJob.Images.SetKeyName(0, "ok.png");
+      this.ilLargeImgJob.Images.SetKeyName(1, "Forward.png");
+      this.ilLargeImgJob.Images.SetKeyName(2, "pause.png");
       // 
       // plClientDetails
@@ -443,4 +475,5 @@
       // 
       this.treeView2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.treeView2.LineColor = System.Drawing.Color.Empty;
       this.treeView2.Location = new System.Drawing.Point(0, 0);
       this.treeView2.Name = "treeView2";
@@ -491,5 +524,5 @@
       // scJobControl.Panel1
       // 
-      this.scJobControl.Panel1.Controls.Add(this.splitContainer2);
+      this.scJobControl.Panel1.Controls.Add(this.lvJobControl);
       // 
       // scJobControl.Panel2
@@ -505,10 +538,10 @@
       this.lvJobControl.ContextMenuStrip = this.contextMenuJob;
       this.lvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.lvJobControl.LargeImageList = this.ilLargeImgClient;
+      this.lvJobControl.LargeImageList = this.ilLargeImgJob;
       this.lvJobControl.Location = new System.Drawing.Point(0, 0);
       this.lvJobControl.MultiSelect = false;
       this.lvJobControl.Name = "lvJobControl";
-      this.lvJobControl.Size = new System.Drawing.Size(299, 386);
-      this.lvJobControl.SmallImageList = this.ilSmallImgClient;
+      this.lvJobControl.Size = new System.Drawing.Size(454, 386);
+      this.lvJobControl.SmallImageList = this.ilSmallImgJob;
       this.lvJobControl.TabIndex = 0;
       this.lvJobControl.UseCompatibleStateImageBehavior = false;
@@ -536,4 +569,21 @@
       this.menuItemGetSnapshot.Size = new System.Drawing.Size(150, 22);
       this.menuItemGetSnapshot.Text = "Get Snapshot";
+      // 
+      // ilSmallImgJob
+      // 
+      this.ilSmallImgJob.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmallImgJob.ImageStream")));
+      this.ilSmallImgJob.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilSmallImgJob.Images.SetKeyName(0, "Forward.png");
+      this.ilSmallImgJob.Images.SetKeyName(1, "ok.png");
+      this.ilSmallImgJob.Images.SetKeyName(2, "pause.png");
+      // 
+      // ilSmallImgClient
+      // 
+      this.ilSmallImgClient.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmallImgClient.ImageStream")));
+      this.ilSmallImgClient.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilSmallImgClient.Images.SetKeyName(0, "monitor-green.png");
+      this.ilSmallImgClient.Images.SetKeyName(1, "monitor-orange.png");
+      this.ilSmallImgClient.Images.SetKeyName(2, "monitor-red.png");
+      this.ilSmallImgClient.Images.SetKeyName(3, "monitor-gray.png");
       // 
       // tpClientControl
@@ -566,4 +616,30 @@
       this.scClientControl.TabIndex = 0;
       // 
+      // splitContainer1
+      // 
+      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
+      this.splitContainer1.Name = "splitContainer1";
+      // 
+      // splitContainer1.Panel1
+      // 
+      this.splitContainer1.Panel1.Controls.Add(this.tvClientControl);
+      // 
+      // splitContainer1.Panel2
+      // 
+      this.splitContainer1.Panel2.Controls.Add(this.lvClientControl);
+      this.splitContainer1.Size = new System.Drawing.Size(454, 386);
+      this.splitContainer1.SplitterDistance = 151;
+      this.splitContainer1.TabIndex = 0;
+      // 
+      // tvClientControl
+      // 
+      this.tvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.tvClientControl.Location = new System.Drawing.Point(0, 0);
+      this.tvClientControl.Name = "tvClientControl";
+      this.tvClientControl.Size = new System.Drawing.Size(151, 386);
+      this.tvClientControl.TabIndex = 0;
+      this.tvClientControl.NodeMouseClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.tvClientControl_NodeMouseClick);
+      // 
       // lvClientControl
       // 
@@ -571,10 +647,10 @@
       this.lvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
       this.lvClientControl.ImeMode = System.Windows.Forms.ImeMode.Off;
-      this.lvClientControl.LargeImageList = this.ilLargeImgJob;
+      this.lvClientControl.LargeImageList = this.ilLargeImgClient;
       this.lvClientControl.Location = new System.Drawing.Point(0, 0);
       this.lvClientControl.MultiSelect = false;
       this.lvClientControl.Name = "lvClientControl";
       this.lvClientControl.Size = new System.Drawing.Size(299, 386);
-      this.lvClientControl.SmallImageList = this.ilSmallImgJob;
+      this.lvClientControl.SmallImageList = this.ilLargeImgClient;
       this.lvClientControl.TabIndex = 0;
       this.lvClientControl.UseCompatibleStateImageBehavior = false;
@@ -602,101 +678,10 @@
       this.checkBox1.UseVisualStyleBackColor = true;
       // 
-      // viewToolStripMenuItem
-      // 
-      this.viewToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.largeIconsToolStripMenuItem,
-            this.smallIconsToolStripMenuItem,
-            this.listToolStripMenuItem});
-      this.viewToolStripMenuItem.Name = "viewToolStripMenuItem";
-      this.viewToolStripMenuItem.Size = new System.Drawing.Size(41, 20);
-      this.viewToolStripMenuItem.Text = "View";
-      // 
-      // largeIconsToolStripMenuItem
-      // 
-      this.largeIconsToolStripMenuItem.Checked = true;
-      this.largeIconsToolStripMenuItem.CheckState = System.Windows.Forms.CheckState.Checked;
-      this.largeIconsToolStripMenuItem.Name = "largeIconsToolStripMenuItem";
-      this.largeIconsToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.largeIconsToolStripMenuItem.Text = "Large Icons";
-      this.largeIconsToolStripMenuItem.Click += new System.EventHandler(this.largeIconsToolStripMenuItem_Click);
-      // 
-      // smallIconsToolStripMenuItem
-      // 
-      this.smallIconsToolStripMenuItem.Name = "smallIconsToolStripMenuItem";
-      this.smallIconsToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.smallIconsToolStripMenuItem.Text = "Small Icons";
-      this.smallIconsToolStripMenuItem.Click += new System.EventHandler(this.smallIconsToolStripMenuItem_Click);
-      // 
-      // listToolStripMenuItem
-      // 
-      this.listToolStripMenuItem.Name = "listToolStripMenuItem";
-      this.listToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
-      this.listToolStripMenuItem.Text = "List";
-      this.listToolStripMenuItem.Click += new System.EventHandler(this.listToolStripMenuItem_Click);
-      // 
-      // ilSmallImgClient
-      // 
-      this.ilSmallImgClient.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmallImgClient.ImageStream")));
-      this.ilSmallImgClient.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilSmallImgClient.Images.SetKeyName(0, "monitor-green.png");
-      this.ilSmallImgClient.Images.SetKeyName(1, "monitor-orange.png");
-      this.ilSmallImgClient.Images.SetKeyName(2, "monitor-red.png");
-      this.ilSmallImgClient.Images.SetKeyName(3, "monitor-gray.png");
-      // 
-      // ilSmallImgJob
-      // 
-      this.ilSmallImgJob.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilSmallImgJob.ImageStream")));
-      this.ilSmallImgJob.TransparentColor = System.Drawing.Color.Transparent;
-      this.ilSmallImgJob.Images.SetKeyName(0, "PlayHS.png");
-      // 
-      // splitContainer1
-      // 
-      this.splitContainer1.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer1.Location = new System.Drawing.Point(0, 0);
-      this.splitContainer1.Name = "splitContainer1";
-      // 
-      // splitContainer1.Panel1
-      // 
-      this.splitContainer1.Panel1.Controls.Add(this.tvClientControl);
-      // 
-      // splitContainer1.Panel2
-      // 
-      this.splitContainer1.Panel2.Controls.Add(this.lvClientControl);
-      this.splitContainer1.Size = new System.Drawing.Size(454, 386);
-      this.splitContainer1.SplitterDistance = 151;
-      this.splitContainer1.TabIndex = 0;
-      // 
-      // tvClientControl
-      // 
-      this.tvClientControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tvClientControl.Location = new System.Drawing.Point(0, 0);
-      this.tvClientControl.Name = "tvClientControl";
-      this.tvClientControl.Size = new System.Drawing.Size(151, 386);
-      this.tvClientControl.TabIndex = 0;
-      // 
-      // splitContainer2
-      // 
-      this.splitContainer2.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.splitContainer2.Location = new System.Drawing.Point(0, 0);
-      this.splitContainer2.Name = "splitContainer2";
-      // 
-      // splitContainer2.Panel1
-      // 
-      this.splitContainer2.Panel1.Controls.Add(this.tvJobControl);
-      // 
-      // splitContainer2.Panel2
-      // 
-      this.splitContainer2.Panel2.Controls.Add(this.lvJobControl);
-      this.splitContainer2.Size = new System.Drawing.Size(454, 386);
-      this.splitContainer2.SplitterDistance = 151;
-      this.splitContainer2.TabIndex = 0;
-      // 
-      // tvJobControl
-      // 
-      this.tvJobControl.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tvJobControl.Location = new System.Drawing.Point(0, 0);
-      this.tvJobControl.Name = "tvJobControl";
-      this.tvJobControl.Size = new System.Drawing.Size(151, 386);
-      this.tvJobControl.TabIndex = 0;
+      // refreshToolStripMenuItem
+      // 
+      this.refreshToolStripMenuItem.Name = "refreshToolStripMenuItem";
+      this.refreshToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+      this.refreshToolStripMenuItem.Text = "Refresh";
+      this.refreshToolStripMenuItem.Click += new System.EventHandler(this.refreshToolStripMenuItem_Click);
       // 
       // HiveServerManagementConsole
@@ -732,11 +717,8 @@
       this.scClientControl.Panel2.ResumeLayout(false);
       this.scClientControl.ResumeLayout(false);
-      this.tcManagementConsole.ResumeLayout(false);
       this.splitContainer1.Panel1.ResumeLayout(false);
       this.splitContainer1.Panel2.ResumeLayout(false);
       this.splitContainer1.ResumeLayout(false);
-      this.splitContainer2.Panel1.ResumeLayout(false);
-      this.splitContainer2.Panel2.ResumeLayout(false);
-      this.splitContainer2.ResumeLayout(false);
+      this.tcManagementConsole.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -805,6 +787,5 @@
     private System.Windows.Forms.SplitContainer splitContainer1;
     private System.Windows.Forms.TreeView tvClientControl;
-    private System.Windows.Forms.SplitContainer splitContainer2;
-    private System.Windows.Forms.TreeView tvJobControl;
+    private System.Windows.Forms.ToolStripMenuItem refreshToolStripMenuItem;
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1656)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.cs	(revision 1657)
@@ -46,6 +46,6 @@
 
     #region private variables
-    private ResponseList<ClientGroup> clients = null;
-    private ResponseList<ClientInfo> clientInfo = null;
+    private ResponseList<ClientGroup> clientGroups = null;
+    private ResponseList<ClientInfo> clients = null;
     private ResponseList<Job> jobs = null;
 
@@ -67,4 +67,8 @@
 
     private ToolTip tt = new ToolTip();
+
+    private const string NOGROUP = "No group";
+    //private List<ListViewItem> clientList = new List<ListViewItem>();
+    private Dictionary<Guid, List<ListViewItem>> clientList = new Dictionary<Guid, List<ListViewItem>>();
 
     private IClientManager ClientManager {
@@ -161,5 +165,5 @@
 
     //      ListViewGroup lvg = new ListViewGroup(cg.Name, HorizontalAlignment.Left);
-                             
+
     //      foreach (ClientInfo ci in cg.Resources) {
     //        ListViewItem item = null;
@@ -235,36 +239,44 @@
 
     private void AddClients() {
-        clients = ClientManager.GetAllClientGroups();
-
-        foreach (ClientGroup cg in clients.List) {
-          AddClientOrGroup(cg, null);
-        }
+      clientList.Clear();
+      tvClientControl.Nodes.Clear();
+
+      clientGroups = ClientManager.GetAllClientGroups();
+
+      foreach (ClientGroup cg in clientGroups.List) {
+        AddClientOrGroup(cg, null);
+      }
+
+      tvClientControl.ExpandAll();
     }
 
     private void AddClientOrGroup(ClientGroup clientGroup, TreeNode currentNode) {
       currentNode = CreateTreeNode(clientGroup, currentNode);
-      ListViewGroup lvg = new ListViewGroup(clientGroup.Name, HorizontalAlignment.Left);
-
+      List<ListViewItem> clientGroupList = new List<ListViewItem>();
+      ListViewGroup lvg;
+      if (string.IsNullOrEmpty(clientGroup.Name)) {
+        lvg = new ListViewGroup(NOGROUP, HorizontalAlignment.Left);
+      } else {
+        lvg = new ListViewGroup(clientGroup.Name, HorizontalAlignment.Left);
+      }
+      lvClientControl.Groups.Add(lvg);
       foreach (Resource resource in clientGroup.Resources) {
         if (resource is ClientInfo) {
           ListViewItem lvi = new ListViewItem(resource.Name, 0, lvg);
           lvi.Tag = resource as ClientInfo;
-          // has to be added to lvClientControl, not group
-          lvClientControl.Items.Add(lvi);
+          clientGroupList.Add(lvi);
         } else if (resource is ClientGroup) {
           AddClientOrGroup(resource as ClientGroup, currentNode);
         }
       }
-      if (lvg.Items.Count > 0) {
-        lvClientControl.Groups.Add(lvg);
-      }
+      clientList.Add(clientGroup.Id, clientGroupList);
     }
 
     private TreeNode CreateTreeNode(ClientGroup clientGroup, TreeNode currentNode) {
-       TreeNode tn;
-      if(string.IsNullOrEmpty(clientGroup.Name)) {
-         tn = new TreeNode("No group");
+      TreeNode tn;
+      if (string.IsNullOrEmpty(clientGroup.Name)) {
+        tn = new TreeNode(NOGROUP);
       } else {
-         tn = new TreeNode(clientGroup.Name);
+        tn = new TreeNode(clientGroup.Name);
       }
       tn.Tag = clientGroup;
@@ -302,5 +314,5 @@
         foreach (Job job in jobs.List) {
           if (job.State == State.calculating) {
-            ListViewItem lvi = new ListViewItem(job.Id.ToString(), 0, lvJobCalculating);
+            ListViewItem lvi = new ListViewItem(job.Id.ToString(), 1, lvJobCalculating);
             lvi.Tag = job;
             jobObjects.Add(job.Id, lvi);
@@ -310,10 +322,10 @@
             lvi.ToolTipText = (job.Percentage * 100) + "% of job calculated";
           } else if (job.State == State.finished) {
-            ListViewItem lvi = new ListViewItem(job.Id.ToString(), 0, lvJobFinished);
+            ListViewItem lvi = new ListViewItem(job.Id.ToString(),0, lvJobFinished);
             lvi.Tag = job;
             jobObjects.Add(job.Id, lvi);
             //lvJobControl.Items.Add(lvi);
           } else if (job.State == State.offline) {
-            ListViewItem lvi = new ListViewItem(job.Id.ToString(), 0, lvJobPending);
+            ListViewItem lvi = new ListViewItem(job.Id.ToString(), 2, lvJobPending);
             lvi.Tag = job;
             jobObjects.Add(job.Id, lvi);
@@ -345,9 +357,12 @@
     private void ClientClicked() {
       plClientDetails.Visible = true;
-      int i = 0;
-      while (clientInfo.List[i].Id.ToString() != nameCurrentClient) {
-        i++;
-      }
-      currentClient = clientInfo.List[i];
+      //int i = 0;
+      //while (clientInfo.List[i].Id.ToString() != nameCurrentClient) {
+      //  i++;
+      //}
+      if (lvClientControl.SelectedItems != null && lvClientControl.SelectedItems.Count > 0) {
+        currentClient = (ClientInfo)lvClientControl.SelectedItems[0].Tag;
+      }
+      if(currentClient != null) {
       int percentageUsage = CapacityRam(currentClient.NrOfCores, currentClient.NrOfFreeCores);
       int usage = 3;
@@ -365,4 +380,5 @@
       lblLogin.Text = currentClient.Login.ToString();
       lblState.Text = currentClient.State.ToString();
+      }
     }
 
@@ -421,7 +437,7 @@
           RefreshJob(change);
         } else if (change.Types == Type.Client) {
-          RefreshClient(change);
+          //RefreshClient(change);
         } else if (change.Types == Type.ClientGroup) {
-          RefreshClientGroup(change);
+          //RefreshClientGroup(change);
         }
       }
@@ -475,10 +491,10 @@
               ClientClicked();
             }
-            State state = clientInfo.List[change.Position].State;
+            State state = clients.List[change.Position].State;
             System.Diagnostics.Debug.WriteLine(lvClientControl.Items[i].Text.ToString());
 
             ClientInfo ci = null;
 
-            foreach (ClientInfo c in clientInfo.List) {
+            foreach (ClientInfo c in clients.List) {
               if (c.Id == change.ID) {
                 ci = c;
@@ -574,28 +590,27 @@
 
       changes.Clear();
-      IClientManager clientManager =
-          ServiceLocator.GetClientManager();
-
-      #region ClientInfo
-      ResponseList<ClientInfo> clientInfoOld = clientInfo;
-      clientInfo = clientManager.GetAllClients();
-
-      IDictionary<int, ClientInfo> clientInfoOldHelp;
-
-      CloneList(clientInfoOld, out clientInfoOldHelp);
-
-      GetDelta(clientInfoOld.List, clientInfoOldHelp);
-      #endregion
+
+      //#region ClientInfo
+      //ResponseList<ClientInfo> clientInfoOld = clientInfo;
+      //clientInfo = ClientManager.GetAllClients();
+
+      //IDictionary<int, ClientInfo> clientInfoOldHelp;
+
+      //CloneList(clientInfoOld, out clientInfoOldHelp);
+
+      //GetDelta(clientInfoOld.List, clientInfoOldHelp);
+      //#endregion
 
       #region Clients
-      ResponseList<ClientGroup> clientsOld = clients;
-
-      clients = clientManager.GetAllClientGroups();
-
-      IDictionary<int, ClientGroup> clientsOldHelp;
-
-      CloneList(clientsOld, out clientsOldHelp);
-
-      GetDelta(clientsOld.List, clientsOldHelp);
+      //ResponseList<ClientGroup> clientsOld = clients;
+
+     // newClients = ClientManager.GetAllClientGroups();
+
+      //IDictionary<Guid, ClientGroup> clientsOldHelp;
+
+      //CloneList(clientsOld, out clientsOldHelp);
+
+      //GetDelta(clientsOld.List, clientsOldHelp);
+      //DetermineDelta();
       #endregion
 
@@ -630,15 +645,15 @@
     }
 
-    private void CloneList(ResponseList<ClientInfo> oldList, out IDictionary<int, ClientInfo> newList) {
-      newList = new Dictionary<int, ClientInfo>();
-      for (int i = 0; i < oldList.List.Count; i++) {
-        newList.Add(i, oldList.List[i]);
-      }
-    }
-
-    private void CloneList(ResponseList<ClientGroup> oldList, out IDictionary<int, ClientGroup> newList) {
-      newList = new Dictionary<int, ClientGroup>();
-      for (int i = 0; i < oldList.List.Count; i++) {
-        newList.Add(i, oldList.List[i]);
+    //private void CloneList(ResponseList<ClientInfo> oldList, out IDictionary<int, ClientInfo> newList) {
+    //  newList = new Dictionary<int, ClientInfo>();
+    //  for (int i = 0; i < oldList.List.Count; i++) {
+    //    newList.Add(i, oldList.List[i]);
+    //  }
+    //}
+
+    private void CloneList(ResponseList<ClientGroup> oldList, out IDictionary<Guid, ClientGroup> newList) {
+      newList = new Dictionary<Guid, ClientGroup>();
+      foreach (ClientGroup clientGroup in oldList.List) {
+        newList.Add(clientGroup.Id, clientGroup);
       }
     }
@@ -654,81 +669,91 @@
 
     private int CapacityRam(int noCores, int freeCores) {
-      int capacity = ((noCores - freeCores) / noCores) * 100;
-      System.Diagnostics.Debug.WriteLine(capacity);
-      return capacity;
-    }
-
-    private void GetDelta(IList<ClientInfo> oldClient, IDictionary<int, ClientInfo> helpClients) {
-      bool found = false;
-
-      for (int i = 0; i < clientInfo.List.Count; i++) {
-        ClientInfo ci = clientInfo.List[i];
-        for (int j = 0; j < oldClient.Count; j++) {
-          ClientInfo cio = oldClient[j];
-          if (ci.Id.Equals(cio.Id)) {
-            found = true;
-            if ((ci.State != cio.State) || (ci.NrOfFreeCores != cio.NrOfFreeCores)) {
-              changes.Add(new Changes { Types = Type.Client, ID = ci.Id, ChangeType = Change.Update, Position = i });
-            }
-            int removeAt = -1;
-            foreach (KeyValuePair<int, ClientInfo> kvp in helpClients) {
-              if (cio.Id.Equals(kvp.Value.Id)) {
-                removeAt = kvp.Key;
-                break;
-              }
-            }
-            if (removeAt >= 0) {
-              helpClients.Remove(removeAt);
-            }
-            break;
-          }
-        }
-        if (found == false) {
-          changes.Add(new Changes { Types = Type.Client, ID = ci.Id, ChangeType = Change.Create });
-        }
-        found = false;
-      }
-      foreach (KeyValuePair<int, ClientInfo> kvp in helpClients) {
-        changes.Add(new Changes { Types = Type.Client, ID = kvp.Value.Id, ChangeType = Change.Delete, Position = kvp.Key });
-      }
-
-    }
-
-    private void GetDelta(IList<ClientGroup> oldClient, IDictionary<int, ClientGroup> helpClients) {
-
-      bool found = false;
-      for (int i = 0; i < clients.List.Count; i++) {
-        ClientGroup cg = clients.List[i];
-        for (int j = 0; j < oldClient.Count; i++) {
-          ClientGroup cgo = oldClient[j];
-          if (cg.Id.Equals(cgo.Id)) {
-            found = true;
-            foreach (Resource resource in cg.Resources) {
-              foreach (Resource resourceold in cgo.Resources) {
-                if (resource.Id.Equals(resourceold.Id)) {
-                  if (resourceold.Name != resource.Name) {
-                    changes.Add(new Changes { Types = Type.Client, ID = cg.Id, ChangeType = Change.Update, Position = i });
-                  }
-                }
-              }
-            }
-            for (int k = 0; k < helpClients.Count; k++) {
-              if (cgo.Id.Equals(helpClients[k].Id)) {
-                helpClients.Remove(k);
-                break;
-              }
-            }
-            break;
-          }
-        }
-        if (found == false) {
-          changes.Add(new Changes { Types = Type.ClientGroup, ID = cg.Id, ChangeType = Change.Create });
-        }
-        found = false;
-      }
-      foreach (KeyValuePair<int, ClientGroup> kvp in helpClients) {
-        changes.Add(new Changes { Types = Type.ClientGroup, ID = kvp.Value.Id, ChangeType = Change.Delete, Position = kvp.Key });
-      }
-    }
+      if (noCores > 0) {
+        int capacity = ((noCores - freeCores) / noCores) * 100;
+        System.Diagnostics.Debug.WriteLine(capacity);
+        return capacity;
+      }
+      return 100;
+    }
+
+    //private void GetDelta(IList<ClientInfo> oldClient, IDictionary<int, ClientInfo> helpClients) {
+    //  bool found = false;
+
+    //  for (int i = 0; i < clientInfo.List.Count; i++) {
+    //    ClientInfo ci = clientInfo.List[i];
+    //    for (int j = 0; j < oldClient.Count; j++) {
+    //      ClientInfo cio = oldClient[j];
+    //      if (ci.Id.Equals(cio.Id)) {
+    //        found = true;
+    //        if ((ci.State != cio.State) || (ci.NrOfFreeCores != cio.NrOfFreeCores)) {
+    //          changes.Add(new Changes { Types = Type.Client, ID = ci.Id, ChangeType = Change.Update, Position = i });
+    //        }
+    //        int removeAt = -1;
+    //        foreach (KeyValuePair<int, ClientInfo> kvp in helpClients) {
+    //          if (cio.Id.Equals(kvp.Value.Id)) {
+    //            removeAt = kvp.Key;
+    //            break;
+    //          }
+    //        }
+    //        if (removeAt >= 0) {
+    //          helpClients.Remove(removeAt);
+    //        }
+    //        break;
+    //      }
+    //    }
+    //    if (found == false) {
+    //      changes.Add(new Changes { Types = Type.Client, ID = ci.Id, ChangeType = Change.Create });
+    //    }
+    //    found = false;
+    //  }
+    //  foreach (KeyValuePair<int, ClientInfo> kvp in helpClients) {
+    //    changes.Add(new Changes { Types = Type.Client, ID = kvp.Value.Id, ChangeType = Change.Delete, Position = kvp.Key });
+    //  }
+
+    //}
+
+    private void DetermineDelta() {
+      
+
+
+    }
+
+
+    //private void GetDelta(IList<ClientGroup> oldClient, IDictionary<Guid, ClientGroup> helpClients) {
+
+    //  bool found = false;
+    //  for (int i = 0; i < clients.List.Count; i++) {
+    //    ClientGroup cg = clientGroups.List[i];
+    //    for (int j = 0; j < oldClient.Count; i++) {
+    //      ClientGroup cgo = oldClient[j];
+    //      if (cg.Id.Equals(cgo.Id)) {
+    //        found = true;
+    //        foreach (Resource resource in cg.Resources) {
+    //          foreach (Resource resourceold in cgo.Resources) {
+    //            if (resource.Id.Equals(resourceold.Id)) {
+    //              if (resourceold.Name != resource.Name) {
+    //                changes.Add(new Changes { Types = Type.Client, ID = cg.Id, ChangeType = Change.Update, Position = i });
+    //              }
+    //            }
+    //          }
+    //        }
+    //        for (int k = 0; k < helpClients.Count; k++) {
+    //          if (cgo.Id.Equals(helpClients[k].Id)) {
+    //            helpClients.Remove(k);
+    //            break;
+    //          }
+    //        }
+    //        break;
+    //      }
+    //    }
+    //    if (found == false) {
+    //      changes.Add(new Changes { Types = Type.ClientGroup, ID = cg.Id, ChangeType = Change.Create });
+    //    }
+    //    found = false;
+    //  }
+    //  foreach (KeyValuePair<int, ClientGroup> kvp in helpClients) {
+    //    changes.Add(new Changes { Types = Type.ClientGroup, ID = kvp.Value.Id, ChangeType = Change.Delete, Position = kvp.Key });
+    //  }
+    //}
 
     private void GetDelta(IList<Job> oldJobs, IDictionary<int, Job> helpJobs) {
@@ -820,7 +845,30 @@
     }
 
-
-
-
+    private void tvClientControl_NodeMouseClick(object sender, TreeNodeMouseClickEventArgs e) {
+      lvClientControl.Items.Clear();
+      lvClientControl.Groups.Clear();
+      AddGroupsToListView(e.Node);
+    }
+
+    private void AddGroupsToListView(TreeNode node) {
+      if (node != null) {
+        ListViewGroup lvg = new ListViewGroup(node.Text, HorizontalAlignment.Left);
+        lvClientControl.Groups.Add(lvg);
+        foreach (ListViewItem item in clientList[((ClientGroup)node.Tag).Id]) {
+          item.Group = lvg;
+          lvClientControl.Items.Add(item);
+        }
+
+        if (node.Nodes != null) {
+          foreach (TreeNode curNode in node.Nodes) {
+            AddGroupsToListView(curNode);
+          }
+        }
+      }
+    }
+
+    private void refreshToolStripMenuItem_Click(object sender, EventArgs e) {
+      AddClients();
+    }
   }
 }
Index: /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx
===================================================================
--- /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1656)
+++ /trunk/sources/HeuristicLab.Hive.Server.Console/3.2/HiveServerManagementConsole.resx	(revision 1657)
@@ -232,5 +232,5 @@
   </data>
   <metadata name="ilLargeImgJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>228, 11</value>
+    <value>239, 7</value>
   </metadata>
   <data name="ilLargeImgJob.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
@@ -238,47 +238,66 @@
         AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
-        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAACc
-        CQAAAk1TRnQBSQFMAwEBAAEEAQABBAEAASABAAEgAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
-        AYADAAEgAwABAQEAAQgGAAEQGAABgAIAAYADAAKAAQABgAMAAYABAAGAAQACgAIAA8ABAAHAAdwBwAEA
-        AfABygGmAQABMwUAATMBAAEzAQABMwEAAjMCAAMWAQADHAEAAyIBAAMpAQADVQEAA00BAANCAQADOQEA
-        AYABfAH/AQACUAH/AQABkwEAAdYBAAH/AewBzAEAAcYB1gHvAQAB1gLnAQABkAGpAa0CAAH/ATMDAAFm
-        AwABmQMAAcwCAAEzAwACMwIAATMBZgIAATMBmQIAATMBzAIAATMB/wIAAWYDAAFmATMCAAJmAgABZgGZ
-        AgABZgHMAgABZgH/AgABmQMAAZkBMwIAAZkBZgIAApkCAAGZAcwCAAGZAf8CAAHMAwABzAEzAgABzAFm
-        AgABzAGZAgACzAIAAcwB/wIAAf8BZgIAAf8BmQIAAf8BzAEAATMB/wIAAf8BAAEzAQABMwEAAWYBAAEz
-        AQABmQEAATMBAAHMAQABMwEAAf8BAAH/ATMCAAMzAQACMwFmAQACMwGZAQACMwHMAQACMwH/AQABMwFm
-        AgABMwFmATMBAAEzAmYBAAEzAWYBmQEAATMBZgHMAQABMwFmAf8BAAEzAZkCAAEzAZkBMwEAATMBmQFm
-        AQABMwKZAQABMwGZAcwBAAEzAZkB/wEAATMBzAIAATMBzAEzAQABMwHMAWYBAAEzAcwBmQEAATMCzAEA
-        ATMBzAH/AQABMwH/ATMBAAEzAf8BZgEAATMB/wGZAQABMwH/AcwBAAEzAv8BAAFmAwABZgEAATMBAAFm
-        AQABZgEAAWYBAAGZAQABZgEAAcwBAAFmAQAB/wEAAWYBMwIAAWYCMwEAAWYBMwFmAQABZgEzAZkBAAFm
-        ATMBzAEAAWYBMwH/AQACZgIAAmYBMwEAA2YBAAJmAZkBAAJmAcwBAAFmAZkCAAFmAZkBMwEAAWYBmQFm
-        AQABZgKZAQABZgGZAcwBAAFmAZkB/wEAAWYBzAIAAWYBzAEzAQABZgHMAZkBAAFmAswBAAFmAcwB/wEA
-        AWYB/wIAAWYB/wEzAQABZgH/AZkBAAFmAf8BzAEAAcwBAAH/AQAB/wEAAcwBAAKZAgABmQEzAZkBAAGZ
-        AQABmQEAAZkBAAHMAQABmQMAAZkCMwEAAZkBAAFmAQABmQEzAcwBAAGZAQAB/wEAAZkBZgIAAZkBZgEz
-        AQABmQEzAWYBAAGZAWYBmQEAAZkBZgHMAQABmQEzAf8BAAKZATMBAAKZAWYBAAOZAQACmQHMAQACmQH/
-        AQABmQHMAgABmQHMATMBAAFmAcwBZgEAAZkBzAGZAQABmQLMAQABmQHMAf8BAAGZAf8CAAGZAf8BMwEA
-        AZkBzAFmAQABmQH/AZkBAAGZAf8BzAEAAZkC/wEAAcwDAAGZAQABMwEAAcwBAAFmAQABzAEAAZkBAAHM
-        AQABzAEAAZkBMwIAAcwCMwEAAcwBMwFmAQABzAEzAZkBAAHMATMBzAEAAcwBMwH/AQABzAFmAgABzAFm
-        ATMBAAGZAmYBAAHMAWYBmQEAAcwBZgHMAQABmQFmAf8BAAHMAZkCAAHMAZkBMwEAAcwBmQFmAQABzAKZ
-        AQABzAGZAcwBAAHMAZkB/wEAAswCAALMATMBAALMAWYBAALMAZkBAAPMAQACzAH/AQABzAH/AgABzAH/
-        ATMBAAGZAf8BZgEAAcwB/wGZAQABzAH/AcwBAAHMAv8BAAHMAQABMwEAAf8BAAFmAQAB/wEAAZkBAAHM
-        ATMCAAH/AjMBAAH/ATMBZgEAAf8BMwGZAQAB/wEzAcwBAAH/ATMB/wEAAf8BZgIAAf8BZgEzAQABzAJm
-        AQAB/wFmAZkBAAH/AWYBzAEAAcwBZgH/AQAB/wGZAgAB/wGZATMBAAH/AZkBZgEAAf8CmQEAAf8BmQHM
-        AQAB/wGZAf8BAAH/AcwCAAH/AcwBMwEAAf8BzAFmAQAB/wHMAZkBAAH/AswBAAH/AcwB/wEAAv8BMwEA
-        AcwB/wFmAQAC/wGZAQAC/wHMAQACZgH/AQABZgH/AWYBAAFmAv8BAAH/AmYBAAH/AWYB/wEAAv8BZgEA
-        ASEBAAGlAQADXwEAA3cBAAOGAQADlgEAA8sBAAOyAQAD1wEAA90BAAPjAQAD6gEAA/EBAAP4AQAB8AH7
-        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA///AP8ADAADoX0AA6F9AAGm
-        AWUBpgKhewABZQEnAWUCoXsAAWUBKAENAWUBpgKheQABZQEoAicBZQKheQABZQMoAUgBZQGmAqF3AAFl
-        A0kBKAEnAWUCoXcAAWUESQEoAUgBZQGmAqF1AAFlAkkBTwJJASgBJwFlAqF1AAFmAUkDTwJJASgBSAFl
-        AaYCoXMAAYYBSQFPAXICTwJJASgBJwFlAqFzAAGGAk8BcgFQAk8CSQEoAUgBZQGmAqFxAAGGAU8BUAGX
-        AnICTwJJAigBZQKhcQABhgFPAXIDlwFQAk8CSQFmAaYCoXEAAYYBTwFyBJcBcgFPAUkBbAGnAcdzAAGG
-        AVABcgGXAXgBmAFyAU8CbAGGAccBoXMAAYYBUAFyAZcBmAEIAXIBSQFsAacBx3UAAYYBUAGXAZgBeAFy
-        AW0BbAGGAccBoXUAAYYBcgF4AQgBcgFJAWwBpwHHdwABhgNyAW0BbAGGAccBoXcAAYYBcgFPAUkBbAGn
-        Acd5AAGGAXICbAGGAccBoXkAAYYBcgGLAacBx3sAAYYBiwGGAccBoXsAAccBpwHHfQABoQHHAaH0AAFC
-        AU0BPgcAAT4DAAEoAwABgAMAASADAAEBAQABAQYAAQIWAAP/AQAE/wwABP8MAAT/DAAE/wwAAf8BjwL/
-        DAAB/wGPAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGAAv8MAAH/AYAC/wwAAf8BgAE/Af8MAAH/AYABPwH/
-        DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABAwH/DAAB/wGAAQMB/wwAAf8BgAEAAf8MAAH/AYABAAH/
-        DAAB/wGAAQAB/wwAAf8BgAEDAf8MAAH/AYABAwH/DAAB/wGAAQ8B/wwAAf8BgAEPAf8MAAH/AYABPwH/
-        DAAB/wGAAT8B/wwAAf8BgAL/DAAB/wGAAv8MAAH/AYMC/wwAAf8BgwL/DAAB/wGPAv8MAAH/AY8C/wwA
-        BP8MAAs=
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAAAO
+        DgAAAk1TRnQBSQFMAgEBAwEAAQQBAAEEAQABIAEAASABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
+        AwABgAMAASADAAEBAQABCAYAARAYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
+        AQAB8AHKAaYBAAEzBQABMwEAATMBAAEzAQACMwIAAxYBAAMcAQADIgEAAykBAANVAQADTQEAA0IBAAM5
+        AQABgAF8Af8BAAJQAf8BAAGTAQAB1gEAAf8B7AHMAQABxgHWAe8BAAHWAucBAAGQAakBrQIAAf8BMwMA
+        AWYDAAGZAwABzAIAATMDAAIzAgABMwFmAgABMwGZAgABMwHMAgABMwH/AgABZgMAAWYBMwIAAmYCAAFm
+        AZkCAAFmAcwCAAFmAf8CAAGZAwABmQEzAgABmQFmAgACmQIAAZkBzAIAAZkB/wIAAcwDAAHMATMCAAHM
+        AWYCAAHMAZkCAALMAgABzAH/AgAB/wFmAgAB/wGZAgAB/wHMAQABMwH/AgAB/wEAATMBAAEzAQABZgEA
+        ATMBAAGZAQABMwEAAcwBAAEzAQAB/wEAAf8BMwIAAzMBAAIzAWYBAAIzAZkBAAIzAcwBAAIzAf8BAAEz
+        AWYCAAEzAWYBMwEAATMCZgEAATMBZgGZAQABMwFmAcwBAAEzAWYB/wEAATMBmQIAATMBmQEzAQABMwGZ
+        AWYBAAEzApkBAAEzAZkBzAEAATMBmQH/AQABMwHMAgABMwHMATMBAAEzAcwBZgEAATMBzAGZAQABMwLM
+        AQABMwHMAf8BAAEzAf8BMwEAATMB/wFmAQABMwH/AZkBAAEzAf8BzAEAATMC/wEAAWYDAAFmAQABMwEA
+        AWYBAAFmAQABZgEAAZkBAAFmAQABzAEAAWYBAAH/AQABZgEzAgABZgIzAQABZgEzAWYBAAFmATMBmQEA
+        AWYBMwHMAQABZgEzAf8BAAJmAgACZgEzAQADZgEAAmYBmQEAAmYBzAEAAWYBmQIAAWYBmQEzAQABZgGZ
+        AWYBAAFmApkBAAFmAZkBzAEAAWYBmQH/AQABZgHMAgABZgHMATMBAAFmAcwBmQEAAWYCzAEAAWYBzAH/
+        AQABZgH/AgABZgH/ATMBAAFmAf8BmQEAAWYB/wHMAQABzAEAAf8BAAH/AQABzAEAApkCAAGZATMBmQEA
+        AZkBAAGZAQABmQEAAcwBAAGZAwABmQIzAQABmQEAAWYBAAGZATMBzAEAAZkBAAH/AQABmQFmAgABmQFm
+        ATMBAAGZATMBZgEAAZkBZgGZAQABmQFmAcwBAAGZATMB/wEAApkBMwEAApkBZgEAA5kBAAKZAcwBAAKZ
+        Af8BAAGZAcwCAAGZAcwBMwEAAWYBzAFmAQABmQHMAZkBAAGZAswBAAGZAcwB/wEAAZkB/wIAAZkB/wEz
+        AQABmQHMAWYBAAGZAf8BmQEAAZkB/wHMAQABmQL/AQABzAMAAZkBAAEzAQABzAEAAWYBAAHMAQABmQEA
+        AcwBAAHMAQABmQEzAgABzAIzAQABzAEzAWYBAAHMATMBmQEAAcwBMwHMAQABzAEzAf8BAAHMAWYCAAHM
+        AWYBMwEAAZkCZgEAAcwBZgGZAQABzAFmAcwBAAGZAWYB/wEAAcwBmQIAAcwBmQEzAQABzAGZAWYBAAHM
+        ApkBAAHMAZkBzAEAAcwBmQH/AQACzAIAAswBMwEAAswBZgEAAswBmQEAA8wBAALMAf8BAAHMAf8CAAHM
+        Af8BMwEAAZkB/wFmAQABzAH/AZkBAAHMAf8BzAEAAcwC/wEAAcwBAAEzAQAB/wEAAWYBAAH/AQABmQEA
+        AcwBMwIAAf8CMwEAAf8BMwFmAQAB/wEzAZkBAAH/ATMBzAEAAf8BMwH/AQAB/wFmAgAB/wFmATMBAAHM
+        AmYBAAH/AWYBmQEAAf8BZgHMAQABzAFmAf8BAAH/AZkCAAH/AZkBMwEAAf8BmQFmAQAB/wKZAQAB/wGZ
+        AcwBAAH/AZkB/wEAAf8BzAIAAf8BzAEzAQAB/wHMAWYBAAH/AcwBmQEAAf8CzAEAAf8BzAH/AQAC/wEz
+        AQABzAH/AWYBAAL/AZkBAAL/AcwBAAJmAf8BAAFmAf8BZgEAAWYC/wEAAf8CZgEAAf8BZgH/AQAC/wFm
+        AQABIQEAAaUBAANfAQADdwEAA4YBAAOWAQADywEAA7IBAAPXAQAD3QEAA+MBAAPqAQAD8QEAA/gBAAHw
+        AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wYAAaEBhhJsAYYBoQoA
+        AaEUxwGhCgABoQGGAYwQZwGMAYYBoSgAAaEBbAE1FDYBNQFsAaEGAAGhAccWrAHHAaEGAAGhAWcWTQFn
+        AaElAAGhAVAYNgFQAaEEAAGhBKwCsw7UArMErAGhBAABxAFMA00SUwNNAUwBxCMAAaEBUAM2AzcENg03
+        AzYBUAGhAgABoQOsAdQD2w7VA9sB1AOsAaECAAGhAUwCTQFTA1kFUwxZAVMCTQFMAaEiAAFsHDYBbAIA
+        AccCrAHVFdQC1QKsAccCAAFnAk0DUwNNElMCTQFnIQABoQE1HDYBNQKhAqwa1AKsAqECTQJTBE0UUwJN
+        AaEgAAGGHjYBhgHHAawBrRrUAa0BrAHHAYYBTQJTBE0WUwFNAYYgAAFsHjYBbAHHAawc1AGsAccBjAFN
+        AVMETRdTAU0BjCAAAWweNgFsAccBrBzUAawBxwFnAU0BUwNNGFMBTQFnIAABbAw2AXkBVxA2AWwBxwGs
+        B9QC3BPUAawBxwFnBE0FUwGaA/8BmgJTAZoD/wGaCFMBTQFnIAABbAs2AVcB9gHDEDYBbAHHAawH1AHc
+        Af8B9AHcEdQBrAHHAWcDTQZTAZoD/wEaAlMBGgP/AZoIUwFNAWcgAAFsCzYBGwL/AZ8PNgFsAccBrAfU
+        AdwD/wH0AdwP1AGsAccBZwJNB1MBmgP/ARoCUwEaA/8BmghTAU0BZyAAAWwKNgGfBP8BeQ42AWwBxwGs
+        B9QB3AX/AfQB3A3UAawBxwFnAU0IUwGaA/8BGgJTARoD/wGaCFMBTQFnIAABbAk2AVgF/wH2AVgNNgFs
+        AccBrAfUAdwH/wH0AdwL1AGsAccBZwFNCFMBmgP/ARoCUwEaA/8BmghTAU0BZyAAAWwINgFXAfYC/wHC
+        AXkC/wHDDTYBbAHHAawH1AHcCf8B9AHcCdQBrAHHAWcBTQhTAZoD/wEaAlMBGgP/AZoIUwFNAWcgAAFs
+        CDYBnwL/AfYBVwE2AZ8C/wGfDDYBbAHHAawH1AHcC/8B9AHbB9QBrAHHAWcBTQhTAZoD/wEaAlMBGgP/
+        AZoIUwFNAWcgAAFsCDYBWAL/AXkDNgHDAv8BeQs2AWwBxwGsB9QBCQr/ARkB2wjUAawBxwFnAU0IUwGa
+        A/8BGgJTARoD/wGaCFMBTQFnIAABbAk2AXkBnwQ2AVgC/wH2AVgKNgFsAccBrAfUAQkI/wH0AdsK1AGs
+        AccBZwFNCFMBmgP/ARoCUwEaA/8BmghTAU0BZyAAAWwQNgF+Av8Bwwo2AWwBxwGsB9QBCQb/AfQB3AzU
+        AawBxwFnAU0IUwGaA/8BGgJTARoD/wGaCFMBTQFnIAABbBE2ARsC/wGfCTYBbAHHAawH1AEJBf8B3A7U
+        AawBxwFnAU0IUwGaA/8BGgJTARoD/wGaCFMBTQFnIAABbBE2AVcB9gL/AXkINgFsAccBrAfUAQkD/wHc
+        ENQBrAHHAWcBTQhTAZoD/wEaAlMBGgP/AZoIUwFNAWcgAAFsEjYBeQL/AZ8GNgE3ATYBbAHHAawH1AEJ
+        Af8BCRLUAawBxwFnAU0IUwF1AxoBegJTAXoDGgF6CFMBTQFnIAABbBM2AZ8B9gFYBTYCNwE2AWwBxwGs
+        B9QB2wHVE9QBrAHHAWcBTRxTAU0BZyAAAWwUNgFYBTYCNwI2AWwBxwGsHNQBrAHHAWcBTRxTAU0BZyAA
+        AWwZNgM3AjYBbAHHAawc1AGsAccBjAFNHFMBTQGMIAABhgI2ATcVNgQ3AjYBhgHHAawBrQHVGNQB2wGt
+        AawBxwGGAU0cUwFNAYYgAAGhATUBNgI3EzYENwI2ATUCoQKsAdQB2xbUAdsB1AKsAqECTQFTAXUWUwF1
+        AVMCTQGhIQABbAI2ATcBOxY3AjYBbAIAAccCrAHVAtsR1APbAdUCrAHHAgABZwJNA3oSUwJ6AXUCTQFn
+        IgABoQFQAjYBNxQ7AzYBUAGhAgABoQOsAdQU2wHUA6wBoQIAAaEBTAJNAVMUegFTAk0BTAGhIwABoQFQ
+        BTYONwU2AVABoQQAAaEErAKzDtQCswSsAaEEAAHEAUwDTRJTA00BTAHEJQABoQFsATUUNgE1AWwBoQYA
+        AaEBxxasAccBoQYAAaEBZxZNAWcBoSgAAaEBhhJsAYYBoQoAAaEUxwGhCgABoQGGAYwQZwGMAYYBoSUA
+        AUIBTQE+BwABPgMAASgDAAGAAwABIAMAAQEBAAEBBgABAhYAA/8BAAH4AgABHwH4AgABHwH4AgABHwQA
+        AeACAAEHAeACAAEHAeACAAEHBAABwAIAAQMBwAIAAQMBwAIAAQMEAAGAAgABAQGAAgABAQGAAgABAQQA
+        AYACAAEBAYACAAEBAYACAAEB/wBlAAGAAgABAQGAAgABAQGAAgABAQQAAYACAAEBAYACAAEBAYACAAEB
+        BAABwAIAAQMBwAIAAQMBwAIAAQMEAAHgAgABBwHgAgABBwHgAgABBwQAAfgCAAEfAfgCAAEfAfgCAAEf
+        BAAL
 </value>
   </data>
@@ -289,4 +308,10 @@
     <value>462, 9</value>
   </metadata>
+  <metadata name="updaterWoker.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>388, 41</value>
+  </metadata>
+  <metadata name="contextMenuJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>252, 44</value>
+  </metadata>
   <metadata name="ilSmallImgJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>137, 50</value>
@@ -296,43 +321,48 @@
         AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
-        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAAC0
-        BwAAAk1TRnQBSQFMAwEBAAEFAQABBAEAARABAAEQAQAE/wEJAQAI/wFCAU0BNgEEBgABNgEEAgABKAMA
-        AUADAAEQAwABAQEAAQgGAAEEGAABgAIAAYADAAKAAQABgAMAAYABAAGAAQACgAIAA8ABAAHAAdwBwAEA
-        AfABygGmAQABMwUAATMBAAEzAQABMwEAAjMCAAMWAQADHAEAAyIBAAMpAQADVQEAA00BAANCAQADOQEA
-        AYABfAH/AQACUAH/AQABkwEAAdYBAAH/AewBzAEAAcYB1gHvAQAB1gLnAQABkAGpAa0CAAH/ATMDAAFm
-        AwABmQMAAcwCAAEzAwACMwIAATMBZgIAATMBmQIAATMBzAIAATMB/wIAAWYDAAFmATMCAAJmAgABZgGZ
-        AgABZgHMAgABZgH/AgABmQMAAZkBMwIAAZkBZgIAApkCAAGZAcwCAAGZAf8CAAHMAwABzAEzAgABzAFm
-        AgABzAGZAgACzAIAAcwB/wIAAf8BZgIAAf8BmQIAAf8BzAEAATMB/wIAAf8BAAEzAQABMwEAAWYBAAEz
-        AQABmQEAATMBAAHMAQABMwEAAf8BAAH/ATMCAAMzAQACMwFmAQACMwGZAQACMwHMAQACMwH/AQABMwFm
-        AgABMwFmATMBAAEzAmYBAAEzAWYBmQEAATMBZgHMAQABMwFmAf8BAAEzAZkCAAEzAZkBMwEAATMBmQFm
-        AQABMwKZAQABMwGZAcwBAAEzAZkB/wEAATMBzAIAATMBzAEzAQABMwHMAWYBAAEzAcwBmQEAATMCzAEA
-        ATMBzAH/AQABMwH/ATMBAAEzAf8BZgEAATMB/wGZAQABMwH/AcwBAAEzAv8BAAFmAwABZgEAATMBAAFm
-        AQABZgEAAWYBAAGZAQABZgEAAcwBAAFmAQAB/wEAAWYBMwIAAWYCMwEAAWYBMwFmAQABZgEzAZkBAAFm
-        ATMBzAEAAWYBMwH/AQACZgIAAmYBMwEAA2YBAAJmAZkBAAJmAcwBAAFmAZkCAAFmAZkBMwEAAWYBmQFm
-        AQABZgKZAQABZgGZAcwBAAFmAZkB/wEAAWYBzAIAAWYBzAEzAQABZgHMAZkBAAFmAswBAAFmAcwB/wEA
-        AWYB/wIAAWYB/wEzAQABZgH/AZkBAAFmAf8BzAEAAcwBAAH/AQAB/wEAAcwBAAKZAgABmQEzAZkBAAGZ
-        AQABmQEAAZkBAAHMAQABmQMAAZkCMwEAAZkBAAFmAQABmQEzAcwBAAGZAQAB/wEAAZkBZgIAAZkBZgEz
-        AQABmQEzAWYBAAGZAWYBmQEAAZkBZgHMAQABmQEzAf8BAAKZATMBAAKZAWYBAAOZAQACmQHMAQACmQH/
-        AQABmQHMAgABmQHMATMBAAFmAcwBZgEAAZkBzAGZAQABmQLMAQABmQHMAf8BAAGZAf8CAAGZAf8BMwEA
-        AZkBzAFmAQABmQH/AZkBAAGZAf8BzAEAAZkC/wEAAcwDAAGZAQABMwEAAcwBAAFmAQABzAEAAZkBAAHM
-        AQABzAEAAZkBMwIAAcwCMwEAAcwBMwFmAQABzAEzAZkBAAHMATMBzAEAAcwBMwH/AQABzAFmAgABzAFm
-        ATMBAAGZAmYBAAHMAWYBmQEAAcwBZgHMAQABmQFmAf8BAAHMAZkCAAHMAZkBMwEAAcwBmQFmAQABzAKZ
-        AQABzAGZAcwBAAHMAZkB/wEAAswCAALMATMBAALMAWYBAALMAZkBAAPMAQACzAH/AQABzAH/AgABzAH/
-        ATMBAAGZAf8BZgEAAcwB/wGZAQABzAH/AcwBAAHMAv8BAAHMAQABMwEAAf8BAAFmAQAB/wEAAZkBAAHM
-        ATMCAAH/AjMBAAH/ATMBZgEAAf8BMwGZAQAB/wEzAcwBAAH/ATMB/wEAAf8BZgIAAf8BZgEzAQABzAJm
-        AQAB/wFmAZkBAAH/AWYBzAEAAcwBZgH/AQAB/wGZAgAB/wGZATMBAAH/AZkBZgEAAf8CmQEAAf8BmQHM
-        AQAB/wGZAf8BAAH/AcwCAAH/AcwBMwEAAf8BzAFmAQAB/wHMAZkBAAH/AswBAAH/AcwB/wEAAv8BMwEA
-        AcwB/wFmAQAC/wGZAQAC/wHMAQACZgH/AQABZgH/AWYBAAFmAv8BAAH/AmYBAAH/AWYB/wEAAv8BZgEA
-        ASEBAAGlAQADXwEAA3cBAAOGAQADlgEAA8sBAAOyAQAD1wEAA90BAAPjAQAD6gEAA/EBAAP4AQAB8AH7
-        Af8BAAGkAqABAAOAAwAB/wIAAf8DAAL/AQAB/wMAAf8BAAH/AQAC/wIAA/+GAAGhPwABJwGhPgABKAEn
-        AaE9AAJJAScBoTwAAUkBTwFJAScBoTsAAUkBcgFPAUkBJwGhOgABTwGXAXIBTwFJASgBoTkAAU8ClwFy
-        AUkBpzoAAVABlwEIAUkBpzsAAXIBCAFJAac8AAFyAUkBpz0AAXIBpz4AAad6AAFCAU0BPgcAAT4DAAEo
-        AwABQAMAARADAAEBAQABAQUAAYAXAAP/AQAC/wYAAv8GAAH7Af8GAAH5Af8GAAH4Af8GAAH4AX8GAAH4
-        AT8GAAH4AR8GAAH4AQ8GAAH4AR8GAAH4AT8GAAH4AX8GAAH4Af8GAAH5Af8GAAH7Af8GAAL/BgAL
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABq
+        CQAAAk1TRnQBSQFMAgEBAwEAAQQBAAEEAQABEAEAARABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
+        AwABQAMAARADAAEBAQABCAYAAQQYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
+        AQAB8AHKAaYBAAEzBQABMwEAATMBAAEzAQACMwIAAxYBAAMcAQADIgEAAykBAANVAQADTQEAA0IBAAM5
+        AQABgAF8Af8BAAJQAf8BAAGTAQAB1gEAAf8B7AHMAQABxgHWAe8BAAHWAucBAAGQAakBrQIAAf8BMwMA
+        AWYDAAGZAwABzAIAATMDAAIzAgABMwFmAgABMwGZAgABMwHMAgABMwH/AgABZgMAAWYBMwIAAmYCAAFm
+        AZkCAAFmAcwCAAFmAf8CAAGZAwABmQEzAgABmQFmAgACmQIAAZkBzAIAAZkB/wIAAcwDAAHMATMCAAHM
+        AWYCAAHMAZkCAALMAgABzAH/AgAB/wFmAgAB/wGZAgAB/wHMAQABMwH/AgAB/wEAATMBAAEzAQABZgEA
+        ATMBAAGZAQABMwEAAcwBAAEzAQAB/wEAAf8BMwIAAzMBAAIzAWYBAAIzAZkBAAIzAcwBAAIzAf8BAAEz
+        AWYCAAEzAWYBMwEAATMCZgEAATMBZgGZAQABMwFmAcwBAAEzAWYB/wEAATMBmQIAATMBmQEzAQABMwGZ
+        AWYBAAEzApkBAAEzAZkBzAEAATMBmQH/AQABMwHMAgABMwHMATMBAAEzAcwBZgEAATMBzAGZAQABMwLM
+        AQABMwHMAf8BAAEzAf8BMwEAATMB/wFmAQABMwH/AZkBAAEzAf8BzAEAATMC/wEAAWYDAAFmAQABMwEA
+        AWYBAAFmAQABZgEAAZkBAAFmAQABzAEAAWYBAAH/AQABZgEzAgABZgIzAQABZgEzAWYBAAFmATMBmQEA
+        AWYBMwHMAQABZgEzAf8BAAJmAgACZgEzAQADZgEAAmYBmQEAAmYBzAEAAWYBmQIAAWYBmQEzAQABZgGZ
+        AWYBAAFmApkBAAFmAZkBzAEAAWYBmQH/AQABZgHMAgABZgHMATMBAAFmAcwBmQEAAWYCzAEAAWYBzAH/
+        AQABZgH/AgABZgH/ATMBAAFmAf8BmQEAAWYB/wHMAQABzAEAAf8BAAH/AQABzAEAApkCAAGZATMBmQEA
+        AZkBAAGZAQABmQEAAcwBAAGZAwABmQIzAQABmQEAAWYBAAGZATMBzAEAAZkBAAH/AQABmQFmAgABmQFm
+        ATMBAAGZATMBZgEAAZkBZgGZAQABmQFmAcwBAAGZATMB/wEAApkBMwEAApkBZgEAA5kBAAKZAcwBAAKZ
+        Af8BAAGZAcwCAAGZAcwBMwEAAWYBzAFmAQABmQHMAZkBAAGZAswBAAGZAcwB/wEAAZkB/wIAAZkB/wEz
+        AQABmQHMAWYBAAGZAf8BmQEAAZkB/wHMAQABmQL/AQABzAMAAZkBAAEzAQABzAEAAWYBAAHMAQABmQEA
+        AcwBAAHMAQABmQEzAgABzAIzAQABzAEzAWYBAAHMATMBmQEAAcwBMwHMAQABzAEzAf8BAAHMAWYCAAHM
+        AWYBMwEAAZkCZgEAAcwBZgGZAQABzAFmAcwBAAGZAWYB/wEAAcwBmQIAAcwBmQEzAQABzAGZAWYBAAHM
+        ApkBAAHMAZkBzAEAAcwBmQH/AQACzAIAAswBMwEAAswBZgEAAswBmQEAA8wBAALMAf8BAAHMAf8CAAHM
+        Af8BMwEAAZkB/wFmAQABzAH/AZkBAAHMAf8BzAEAAcwC/wEAAcwBAAEzAQAB/wEAAWYBAAH/AQABmQEA
+        AcwBMwIAAf8CMwEAAf8BMwFmAQAB/wEzAZkBAAH/ATMBzAEAAf8BMwH/AQAB/wFmAgAB/wFmATMBAAHM
+        AmYBAAH/AWYBmQEAAf8BZgHMAQABzAFmAf8BAAH/AZkCAAH/AZkBMwEAAf8BmQFmAQAB/wKZAQAB/wGZ
+        AcwBAAH/AZkB/wEAAf8BzAIAAf8BzAEzAQAB/wHMAWYBAAH/AcwBmQEAAf8CzAEAAf8BzAH/AQAC/wEz
+        AQABzAH/AWYBAAL/AZkBAAL/AcwBAAJmAf8BAAFmAf8BZgEAAWYC/wEAAf8CZgEAAf8BZgH/AQAC/wFm
+        AQABIQEAAaUBAANfAQADdwEAA4YBAAOWAQADywEAA7IBAAPXAQAD3QEAA+MBAAPqAQAD8QEAA/gBAAHw
+        AfsB/wEAAaQCoAEAA4ADAAH/AgAB/wMAAv8BAAH/AwAB/wEAAf8BAAL/AgAD/wMAAccLrAGhAwABbAo2
+        ATUBoQMAAWcLTQGhEgACrALbB9UB2wHUAawBoQEAAVABNgI3AjYGNwI2AaEBAAFMAU0CWQJTBlkBUwFN
+        AaEQAAGhAawN1AGsAaEONgE1AaEBTQFTAk0KUwFNEAABxw7UAawBbA82AYwBUwJNC1MBTRAAAccE1AHc
+        CdQBrAFsBjYBVwg2AWcCTQJTAZoB/wGaAVMC/wRTAU0QAAHHBNQC/wHcB9QBrAFsBTYBGwH/CDYBZwFN
+        A1MBmgH/ARoBUwL/BFMBTRAAAccE1AT/AdwF1AGsAWwENgFYAv8B9gc2AWcEUwGaAf8BGgFTAv8EUwFN
+        EAABxwTUBv8B2wPUAawBbAQ2Af8B9gE2Af8BnwY2AWcEUwGaAf8BGgFTAv8EUwFNEAABxwTUBP8B9AXU
+        AawBbAQ2AXkCNgFYAf8BWAU2AWcEUwGaAf8BGgFTAv8EUwFNEAABxwTUA/8H1AGsAWwINgEbAf8FNgFn
+        BFMBmgH/ARoBUwL/BFMBTRAAAccE1AH/CdQBrAFsCTYB/wGfBDYBZwRTAXUBGgF6AVMCGgRTAU0QAAHH
+        DtQBrAFsDTYBNwE2AWcOUwFNEAABxwGtDNQB2wGsAYYMNgI3ATYBhg5TAU0RAAGsAdUB2wjUAtsBrAHH
+        AQABNgw3ATYBbAEAAU0CeglTAXoBTQFnEQABoQKsAbMH1AGzAqwCAAGhAzYHNwI2AVACAAHEAk0JUwFN
+        AUwUAArHAaEFAAGGCWwBoQUAAYYIZwGMAaESAAFCAU0BPgcAAT4DAAEoAwABQAMAARADAAEBAQABAQUA
+        AYAXAAP/AQABwAEBAcABAQHAAQECAAGAAQABgAEAAYBbAAGAAQABgAEAAYADAAGAAQEBgAEBAYABAQIA
+        AeABAwHgAQMB4AEDAgAL
 </value>
   </data>
-  <metadata name="contextMenuJob.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>252, 44</value>
-  </metadata>
   <metadata name="ilSmallImgClient.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>17, 50</value>
@@ -343,5 +373,5 @@
         LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
         ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABy
-        DAAAAk1TRnQBSQFMAgEBBAEAAQUBAAEEAQABEAEAARABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
+        DAAAAk1TRnQBSQFMAgEBBAEAAQkBAAEEAQABEAEAARABAAT/AQkBAAj/AUIBTQE2AQQGAAE2AQQCAAEo
         AwABQAMAASADAAEBAQABCAYAAQgYAAGAAgABgAMAAoABAAGAAwABgAEAAYABAAKAAgADwAEAAcAB3AHA
         AQAB8AHKAaYBAAEzBQABMwEAATMBAAEzAQACMwIAAxYBAAMcAQADIgEAAykBAANVAQADTQEAA0IBAAM5
@@ -399,6 +429,3 @@
 </value>
   </data>
-  <metadata name="updaterWoker.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>388, 41</value>
-  </metadata>
 </root>
